This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 118935 - "Arrow" scripts from gimp get stuck
"Arrow" scripts from gimp get stuck
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
David Lawrence
:
Depends On:
Blocks: FC2Target
  Show dependency treegraph
 
Reported: 2004-03-22 17:59 EST by Michal Jaegermann
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 17:18:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
output of arrow script with gimp-2.0.0-5 (1.86 KB, image/png)
2004-04-05 17:17 EDT, Nils Philippsen
no flags Details

  None (edit)
Description Michal Jaegermann 2004-03-22 17:59:50 EST
Description of problem:

After picking up from Xtns->Script-Fu->Web Page Themes->Alien Glow->Arrow
gimp gets stuck.  Checking an output of 'ps' one can see that

/usr/lib/gimp/1.3/plug-ins/script-fu -gimp 6 5 -run 1

is not terminating.  Sometimes this can timeout with an alert which
says something about not getting an output from a pipe.  Unfortunately
I did not make a precise note and right now this does not seem to
terminate ever.  If a timeout occured then all scripts seem to vanish
from menus.  The same happens with "Arrow" from "Beveled Pattern".
This does not seem to be a problem with any other script from
"Web Page Themes".

After a failed execution one may get on a terminal.

(gimp:31377): Gimp-Plug-In-WARNING **: gimp: plug_in_flush(): error:
Broken pipe 
(gimp:31377): Gimp-Plug-In-WARNING **: plug_in_close: plug-in aborted
before sending its temporary procedure return values
 
(gimp:31377): Gimp-Plug-In-WARNING **: plug_in_close: plug-in aborted
before sending its temporary procedure return values


Version-Release number of selected component (if applicable):
gimp-2.0-1.pre3.4.1

How reproducible:
All the time
Comment 1 Nils Philippsen 2004-04-05 17:17:17 EDT
Created attachment 99125 [details]
output of arrow script with gimp-2.0.0-5

Works with gimp-2.0.0-5.

Note You need to log in before you can comment on or make changes to this bug.